import { contentRoutingSymbol, peerRoutingSymbol } from '@libp2p/interface';
import type { DelegatedRoutingV1HttpApiClient, DelegatedRoutingV1HttpApiClientInit, GetProvidersOptions, GetPeersOptions, GetIPNSOptions, PeerRecord } from './index.js';
import type { ContentRouting, PeerRouting, AbortOptions, PeerId } from '@libp2p/interface';
import type { IPNSRecord } from 'ipns';
import type { CID } from 'multiformats';
export declare class DefaultDelegatedRoutingV1HttpApiClient implements DelegatedRoutingV1HttpApiClient {
    #private;
    private started;
    private readonly httpQueue;
    private readonly shutDownController;
    private readonly clientUrl;
    private readonly timeout;
    private readonly contentRouting;
    private readonly peerRouting;
    private readonly filterAddrs?;
    private readonly filterProtocols?;
    private readonly inFlightRequests;
    private readonly cacheName;
    private cache?;
    private readonly cacheTTL;
    /**
     * Create a new DelegatedContentRouting instance
     */
    constructor(url: string | URL, init?: DelegatedRoutingV1HttpApiClientInit);
    get [contentRoutingSymbol](): ContentRouting;
    get [peerRoutingSymbol](): PeerRouting;
    isStarted(): boolean;
    start(): Promise<void>;
    stop(): Promise<void>;
    getProviders(cid: CID, options?: GetProvidersOptions): AsyncGenerator<PeerRecord>;
    getPeers(peerId: PeerId, options?: GetPeersOptions): AsyncGenerator<PeerRecord>;
    getIPNS(libp2pKey: CID<unknown, 0x72, 0x00 | 0x12, 1>, options?: GetIPNSOptions): Promise<IPNSRecord>;
    putIPNS(libp2pKey: CID<unknown, 0x72, 0x00 | 0x12, 1>, record: IPNSRecord, options?: AbortOptions): Promise<void>;
}
//# sourceMappingURL=client.d.ts.map